Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454967 - Review Request: darkgarden-fonts - Dark Garden is a decorative outline font of unusual shape.
Summary: Review Request: darkgarden-fonts - Dark Garden is a decorative outline font o...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 07:13 UTC by Lyos Gemini Norezel
Modified: 2008-09-10 07:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-04 16:05:47 UTC
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lyos Gemini Norezel 2008-07-11 07:13:46 UTC
Spec URL: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts.spec
SRPM URL: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc9.src.rpm
Description: Dark Garden is a decorative outline font of unusual shape. 
The typeface is based on author's original hand drawings. 
The letterform is complex, with all characters decorated 
with spikes resembling thorns or flames, character spacing 
is very dense. Such a theme makes it a great font for titles, 
banners, logos etc. Due to the font's complicated form, 
long text passages are not very legible, but short paragraphs 
such as titles or lyrics / poetry look very well.

Mock built for FC7, FC8, and FC9
RPMS:
FC9: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc9.noarch.rpm
FC8: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc8.noarch.rpm
FC7: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc7.noarch.rpm

SRPMS:
FC9: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc9.src.rpm
FC8: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc8.src.rpm
FC7: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc7.src.rpm

Lyos Gemini Norezel

Comment 1 Rahul Sundaram 2008-07-18 21:27:01 UTC
I would recommend following the standard template specified at 

http://fedoraproject.org/wiki/Annotated_fonts_spec_template

It would ease the review process quite a bit if you follow that which is always
a good thing.

Comment 3 Lubomir Rintel 2008-07-31 16:28:48 UTC
1.) This comment is useless:

# for example: install -pm 644 *.ttf $RPM_BUILD_ROOT%{fontdir}

2.) You mix %{buildroot} and $RPM_BUILD_ROOT

See http://fedoraproject.org/wiki/Packaging/Guidelines#UsingBuildRootOptFlags

3.) Use %setup macro instead of the following:

%prep
unzip %{SOURCE0}

%build
cd darkgarden-1.1

And after that is done, please do not move the files around in %build, there's
no need to.

4.) Another useless comment, please remove it

%changelog
#DarkGarden
* Mon Jul 21 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com> 1.1-1

Comment 4 Lubomir Rintel 2008-07-31 16:30:14 UTC
Also, please use a more descriptive %description. One you used in this request
should be fine.

Comment 5 Lyos Gemini Norezel 2008-07-31 21:08:42 UTC
Spec and src updated:
Spec URL: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts.spec
SRPM URL: http://www.oslb.net/fonts/darkgarden/darkgarden-fonts-1.1-1.fc9.src.rpm

Lyos Gemini Norezel

Comment 7 Lubomir Rintel 2008-08-01 10:35:46 UTC
Thanks for the package -- it seems very well. Filelists, provides and requires
are sane; SPEC file is clean and legible.

APPROVED

Note: The src.rpms linked to above are either outdated or truncated, I tested
the the new SPEC file with source from older SRPM. Please ensure that you use
the right SPEC file when importing. Thanks!

Comment 8 Toshio Ernie Kuratomi 2008-08-01 19:22:52 UTC
Packager seems to be responsive to criticism and has updated packages to meet
guidelines.  I've sponsored him.

Comment 9 Lyos Gemini Norezel 2008-08-01 20:39:04 UTC
New Package CVS Request
=======================
Package Name: thibault-fonts
Short Description: A collection of fonts from thibault.org, including Isabella,
Essays1743, Rockets, and StayPuft.
Owners: lyosnorezel
Branches: F-8 F-9
InitialCC: lyosnorezel
Cvsextras Commits: yes

Comment 10 Lyos Gemini Norezel 2008-08-02 02:40:33 UTC
New Package CVS Request
=======================
Package Name: darkgarden-fonts
Short Description: Dark Garden is a decorative outline font of unusual shape.
Owners: lyosnorezel
Branches: F-8 F-9
InitialCC: lyosnorezel
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2008-08-02 02:42:55 UTC
cvs done.

Comment 12 Fedora Update System 2008-08-02 11:23:31 UTC
darkgarden-fonts-1.1-1.fc8 has been submitted as an update for Fedora 8

Comment 13 Fedora Update System 2008-08-02 11:24:50 UTC
darkgarden-fonts-1.1-1.fc9 has been submitted as an update for Fedora 9

Comment 14 Fedora Update System 2008-09-10 07:01:06 UTC
darkgarden-fonts-1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-09-10 07:16:57 UTC
darkgarden-fonts-1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.